Package org.eclipse.net4j

# Class FactoriesProtocolProvider

java.lang.Object
org.eclipse.net4j.FactoriesProtocolProvider

All Implemented Interfaces:
  `IProtocolProvider`

public class FactoriesProtocolProvider extends Object implements IProtocolProvider
Factory-based `protocol provider`.

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`FactoriesProtocolProvider()`
`FactoriesProtocolProvider(org.eclipse.net4j.util.factory.IFactory factory)`
`FactoriesProtocolProvider(org.eclipse.net4j.util.registry.IRegistry<String,org.eclipse.net4j.util.factory.IFactory> registry)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFactory(org.eclipse.net4j.util.factory.IFactory factory)`
`IProtocol<?>`
`getProtocol(String type)`
`org.eclipse.net4j.util.registry.IRegistry<String,org.eclipse.net4j.util.factory.IFactory>`
`getRegistry()`
`void`
`setRegistry(org.eclipse.net4j.util.registry.IRegistry<String,org.eclipse.net4j.util.factory.IFactory> registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FactoriesProtocolProvider

public FactoriesProtocolProvider()

### FactoriesProtocolProvider

public FactoriesProtocolProvider(org.eclipse.net4j.util.registry.IRegistry<String,org.eclipse.net4j.util.factory.IFactory> registry)

### FactoriesProtocolProvider

public FactoriesProtocolProvider(org.eclipse.net4j.util.factory.IFactory factory)

## Method Details

### getRegistry

public org.eclipse.net4j.util.registry.IRegistry<String,org.eclipse.net4j.util.factory.IFactory> getRegistry()

### setRegistry

public void setRegistry(org.eclipse.net4j.util.registry.IRegistry<String,org.eclipse.net4j.util.factory.IFactory> registry)

### addFactory

public void addFactory(org.eclipse.net4j.util.factory.IFactory factory)

### getProtocol

public IProtocol<?> getProtocol(String type)

Specified by:
  `getProtocol` in interface `IProtocolProvider`